#theme-toggle {
    z-index: 999;
    position: fixed;
    right: 20px;
    bottom: 30%;
    background: transparent;
    border: 2px solid;
    border-radius: 50%;
    padding: 6px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: border-color 0.3s, background-color 0.3s, transform 0.2s;
}

#theme-toggle img {
    width: 24px;
    height: 24px;
    transition: filter 0.3s;
}

.light-theme #theme-toggle {
    border-color: black;
}

.light-theme #theme-toggle img {
    filter: invert(0%);
}

.dark-theme #theme-toggle {
    border-color: white;
}

.dark-theme #theme-toggle img {
    filter: invert(100%);
}

#theme-toggle:hover {
    transform: scale(1.1);
    /* Hover'da büyütme */
}